CREATE TABLE IF NOT EXISTS `products` (
  `productId` int NOT NULL AUTO_INCREMENT,
  `product` varchar(256) NOT NULL,
  `name` varchar(256) NOT NULL,
  `description` varchar(256),
  PRIMARY KEY (`productId`),
  UNIQUE KEY `name` (`name`),
  UNIQUE KEY `product` (`product`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1;

CREATE TABLE IF NOT EXISTS `deployments` (
  `deploymentId` int NOT NULL AUTO_INCREMENT,
  `productId` int NOT NULL,
  `version` varchar(256) NOT NULL,
  `minVisibleVersion` varchar(256),
  `baseURL` varchar(256) NOT NULL,
  `installDate` BIGINT NOT NULL,
  PRIMARY KEY (`deploymentId`),
  FOREIGN KEY (`productId`) REFERENCES `products`(`productId`),
  UNIQUE KEY `productVersion` (`productId`, `version`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1;