#!/bin/bash
PRG=$0
# Check OS
OS=`uname -s`
if [ "$OS" = "Darwin" ]
then
# OS X was detected
    cd "`dirname "$PRG"`"
    PRG=`basename "$PRG"`
    while [ -L "$PRG" ]
    do
        PRG="`readlink "$PRG"`"
        cd "`dirname "$PRG"`"
        PRG="`basename "$PRG"`"
    done
else
# Assuming is Linux
    while [ -h "$PRG" ]; do
        ls=`ls -ld "$PRG"`
        link=`expr "$ls" : '^.*-> \(.*\)$' 2>/dev/null`
        if expr "$link" : '^/' 2> /dev/null >/dev/null; then
            PRG="$link"
        else
            PRG="`dirname "$PRG"`/$link"
        fi
    done
fi
OXYGEN_FEEDBACK_HOME="`dirname "$PRG"`"
cd "$OXYGEN_FEEDBACK_HOME/../"
OXYGEN_FEEDBACK_HOME=`pwd`
PID_PATH=$OXYGEN_FEEDBACK_HOME/pid.file
if [ -f "$PID_PATH" ]; then
        FEEDBACK_COMMAND=`ps -p \`cat "$PID_PATH"\` -o pid,command`
        if [[ $FEEDBACK_COMMAND == *"oxygen-feedback.jar"* ]]; then
                kill -15 "`cat "$PID_PATH"`"
                rm "$PID_PATH"
                exit 0
        else
                echo "The following process is not an Oxygen Feedback process, removing the PID file."
                rm "$PID_PATH"
        fi
        exit 0
fi